> ## Documentation Index
> Fetch the complete documentation index at: https://v3.captaindata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an Integration's Account



## OpenAPI

````yaml get /v3/integrations/accounts/{account_uid}
openapi: 3.0.2
info:
  title: Captain Data's Public API
  description: Captain Data's API v3
  version: 3.0.0
servers: []
security:
  - APIKeyHeader: []
    ProjectIdHeader: []
tags:
  - name: Workspace
    description: Endpoints related to workspace management
  - name: Users
    description: Endpoints related to users management
  - name: Integrations
    description: Endpoints related to integration accounts management
  - name: Workflows
    description: Endpoints related to running Workflows
  - name: Runs
    description: Endpoints related to fetching Run's Results & details
  - name: Inputs
    description: Endpoints related to fetching Run's Inputs
  - name: Webhooks
    description: Endpoints related to Webhooks management
paths:
  /v3/integrations/accounts/{account_uid}:
    get:
      tags:
        - Integrations
      summary: Get an Integration's Account
      operationId: v3_get_account
      parameters:
        - required: true
          schema:
            title: Account UID
            type: string
            format: uuid
          name: account_uid
          in: path
        - required: false
          schema:
            title: Retrieve Consumption
            type: boolean
            default: false
          name: retrieve_consumption
          description: >-
            Set this to true to retrieve th accounts limits consumption, e.g.
            'How many messages sent in the last 24 hours'.
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
              example:
                setup_at: '2024-11-26T15:12:17.652585'
                name: Guillaume Odier
                cookies:
                  JSESSIONID: xxxxxxxxx
                  li_at: xxxxxxxxx
                  li_a: xxxxxxxxx
                via_extension: true
                is_shared: false
                level: Sales Navigator
                is_valid: true
                meta:
                  name: Guillaume Odier
                  id: 269760086
                  url: https://www.linkedin.com/in/guillaumeodier
                  type: Sales Navigator
                  profile_image_url: >-
                    https://media.licdn.com/dms/image/v2/D4E03AQHnpVRFLCeBzQ/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1681746761278?e=1738195200&v=beta&t=F5jDTApyqg-ly67pZT6SOQ0mt_Jt9MggyR-RXRRa1no
                  country: null
                  language: null
                  email: null
                  emails: []
                  phone: null
                  phones: []
                uid: xxxxxxx-xxxx-xxxx-9d6d-e97ac1544308
                application_permalink: linkedin
                application_name: LinkedIn
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
              example:
                detail:
                  - loc:
                      - path
                      - account_uid
                    msg: value is not a valid uuid
                    type: type_error.uuid
      security:
        - APIKeyHeader: []
          ProjectIdHeader: []
components:
  schemas:
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items: 61c7f447-c888-4823-b42f-2a23e4e31a10
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        The Authorization header must include 'x-api-key' followed by your API
        key (e.g., 'Authorization: x-api-key YOUR_API_KEY').
    ProjectIdHeader:
      type: apiKey
      in: header
      name: x-project-id
      description: Workspace UID required to identify the workspace.

````